using System;
using System.Configuration;
using System.Data.SqlClient;
using System.Data;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;


public partial class DefaultCS : System.Web.UI.Page
{

    public static String ConnString = ConfigurationManager.ConnectionStrings["NorthwindConnectionString"].ConnectionString;

    public static DataTable GetRelatedRecords(string query)
    {
        SqlConnection conn = new SqlConnection(ConnString);
        SqlDataAdapter adapter = new SqlDataAdapter();
        adapter.SelectCommand = new SqlCommand(query, conn);

        DataTable myDataTable = new DataTable();

        conn.Open();

        try
        {
            adapter.Fill(myDataTable);
        }
        finally
        {
            conn.Close();
        }

        return myDataTable;
    }

    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        SqlConnection conn = new SqlConnection(ConnString);
        SqlDataAdapter adapter = new SqlDataAdapter();
        adapter.SelectCommand = new SqlCommand("SELECT TOP 10 OrderID, ShipName, ShipAddress FROM Orders", conn);

        DataSet myDataSet = new DataSet();

        conn.Open();
        try
        {
            adapter.Fill(myDataSet, "Orders");
            adapter.SelectCommand = new SqlCommand("SELECT OrderID, Quantity FROM [Order Details]", conn);
            adapter.Fill(myDataSet, "OrderDetails");
        }
        finally
        {
            conn.Close();
        }

        RadGrid1.DataSource = myDataSet;

    }
    protected void RadGrid1_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
        {
            GridEditFormItem editForm = e.Item as GridEditFormItem;
            RadComboBox list = editForm.FindControl("RadComboBox1") as RadComboBox;
            list.AutoPostBack = true;
            list.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(list_SelectedIndexChanged);
            // list.DataBound += new EventHandler(list_DataBound);
        }
    }

    void list_DataBound(object sender, EventArgs e)
    {
        GridEditFormItem editForm = (sender as RadComboBox).NamingContainer as GridEditFormItem;
        RadComboBox ddList = editForm.FindControl("RadComboBox2") as RadComboBox;
        DataTable table = GetRelatedRecords("SELECT distinct OrderID, Quantity FROM [Order Details] WHERE OrderID = " + editForm["OrderID"].Text);
        ddList.DataValueField = "Quantity";
        ddList.DataTextField = "Quantity";
        ddList.DataSource = table;
        ddList.DataBind();
    }

    void list_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        GridEditFormItem editForm = (sender as RadComboBox).NamingContainer as GridEditFormItem;
        RadComboBox ddList2 = editForm.FindControl("RadComboBox2") as RadComboBox;
        DataTable table = GetRelatedRecords("SELECT distinct OrderID, Quantity FROM [Order Details] WHERE OrderID = " + (sender as RadComboBox).SelectedValue);
        ddList2.DataValueField = "Quantity";
        ddList2.DataTextField = "Quantity";
        ddList2.DataSource = table;
        ddList2.DataBind();
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
        {
            GridEditFormItem editForm = e.Item as GridEditFormItem;
            RadComboBox list = editForm.FindControl("RadComboBox1") as RadComboBox;
            DataTable table = GetRelatedRecords("SELECT distinct OrderID FROM [Order Details]");
            list.DataTextField = "OrderID";
            list.DataValueField = "OrderID";
            list.DataSource = table;
            list.SelectedValue = editForm["OrderID"].Text;
            list.DataBind();
            RadComboBox ddList2 = editForm.FindControl("RadComboBox2") as RadComboBox;
            table = GetRelatedRecords("SELECT distinct OrderID, Quantity FROM [Order Details] WHERE OrderID = " + editForm["OrderID"].Text);
            ddList2.DataValueField = "Quantity";
            ddList2.DataTextField = "Quantity";
            ddList2.DataSource = table;
            ddList2.DataBind();
            
        }
    }
}

